#include "mgksqrout.h"
#include <curses.h>

const int OFFSET = 16 ;
const int VOFF   =  2 ;
const int CHEIGHT = 3 ;
const int CWIDTH =  4 ;

const char *SKEL[] = {
"MAGIC SQUARES 2.0  Michael J. Chappell  21 October 2017",
" ",
"     #     #",
"     #     #",
"     #     #",
"#################",
"     #     #",
"     #     #",
"     #     #",
"#################",
"     #     #",
"     #     #",
"     #     #",
NULL
};

const char *CELL[][4] = {
{ "    ", "    ", "    ", NULL },
{ " OOO", " O O", " OOO", NULL },
{ " X X", "  X ", " X X", NULL }
};
void playagain(void) {
mvprintw(18, 0, "Would you like to play again? (1 for yes)");
refresh();
return ;
}

void winner(int n) {
  mvprintw(16, 0, "YOU WON IN %d MOVES!", n);
  refresh();
return ;
}

void quitter(void) {
mvprintw(16, 0, "Get lost, QUITTER!");
refresh();
return ;
}

void showboard(int q) {
clear();
showskel();
if (q&64) fillcell(0,0,1);
if (q&128) fillcell(0,1,1);
if (q&256) fillcell(0,2,1);
if (q&8) fillcell(1,0,1);
if (q&16) fillcell(1,1,1);
if (q&32) fillcell(1,2,1);
if (q&1) fillcell(2,0,1);
if (q&2) fillcell(2,1,1);
if (q&4) fillcell(2,2,1);
refresh();
return ;
}

void showskel(void) {
	int i=0;
		mvprintw(i, 0, SKEL[i]);
	for (i=1; SKEL[i] ; i++) {
		mvprintw(i, OFFSET, SKEL[i]);
	}
	return;
}

void fillcell(int r, int c, int p) {
	int i;
	for (i=0; i<CHEIGHT; i++) {
		mvprintw(VOFF+i+(CHEIGHT+1)*r, OFFSET+c*(CWIDTH+2), CELL[p][i]);
	}
	return;
}


